;;; -*- Mode:LISP; Package:USER; Base:10 -*-
;;

;; (login'bob'lam15)

(fs:set-logical-pathname-host "IKEMAN"
			      :physical-host "LAM15"
			      :translations '(("PICTURES;*.DEFAULTS" "BOB;DEFAULT-PICTURE.LAYOUT")
					      ("PICTURES;" "BOB;")))


(let ((sym (and (find-package "PICON") (intern "HOSTS-THAT-ARE-OK" "PICON"))))
  (when (and sym (boundp sym))
    (push (si:parse-host "CTH") (symeval sym))
    (push (si:parse-host "NYA") (symeval sym))))



(defun set-picture-page (h-inches v-inches &optional (left-page-offset 0))
  (list (set (intern "*EXTRA-PIXEL-V-OFFSET*" "DVI") (round (* v-inches 300)))
	(set (intern "*EXTRA-PIXEL-H-OFFSET*" "DVI")
	     (cond ((zerop left-page-offset)
		    (round (* h-inches 300)))
		   ('else
		    #'(lambda (pnum)
			(cond ((oddp pnum)
			       (round (* h-inches 300)))
			      ('else
			       (round (* (- h-inches left-page-offset) 300))))))))))





